<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imlincomb</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imdivide.html">&lt;&lt; imdivide</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_471e076252aa90400cc5fd4ddf072a54.html">Image Arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="immultiply.html">immultiply &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_471e076252aa90400cc5fd4ddf072a54.html">Image Arithmetic</a> &gt; imlincomb</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imlincomb</h1>
    <p class="refpurpose">Linear combination of images</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">imout</span><span class="default"> = </span><span class="functionid">imlincomb</span><span class="default">(</span><span class="default">k1</span><span class="default">, </span><span class="default">im1</span><span class="default">, </span><span class="default">k2</span><span class="default">, </span><span class="default">im2</span><span class="default">, ..., </span><span class="default">kn</span><span class="default">, </span><span class="default">imn</span><span class="default">)</span>
<span class="default">imout</span><span class="default"> = </span><span class="functionid">imlincomb</span><span class="default">(</span><span class="default">k1</span><span class="default">, </span><span class="default">im1</span><span class="default">, </span><span class="default">k2</span><span class="default">, </span><span class="default">im2</span><span class="default">, ..., </span><span class="default">kn</span><span class="default">, </span><span class="default">imn</span><span class="default">, </span><span class="default">K</span><span class="default">)</span>
<span class="default">imout</span><span class="default"> = </span><span class="functionid">imlincomb</span><span class="default">(..., </span><span class="default">output_class</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">im1, im2, ..., imn :</span>
      <dd><p class="para">Input images with the same size and class.</p></dd></dt>
   <dt><span class="term">k1, k2, ..., kn :</span>
      <dd><p class="para">Double scalars.</p></dd></dt>
   <dt><span class="term">K :</span>
      <dd><p class="para">Offset, a double scalar.</p></dd></dt>
   <dt><span class="term">output_class :</span>
      <dd><p class="para">A string which specifies the output image class. The value of output_class can be &#0039;int8&#0039;, &#0039;uint8&#0039;, &#0039;int16&#0039;, &#0039;uint16&#0039;, &#0039;int32&#0039; or &#0039;constant&#0039;.</p></dd></dt>
   <dt><span class="term">imout :</span>
      <dd><p class="para">The linear combination of input images, which has the same size and class with input images or specified by output_class .</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">imcomplement computes the linear combination of input images.</p>
   <p class="para">imout = k1*im1 + k2*im2 + ... + kn*imn [+K]</p>
   <p class="para">If imout is an integer matrix, the elements in the output matrix imout that exceed the range of the integer type will be truncated.</p>
   <p class="para">Supported classes: INT8, UINT8, INT16, UINT16, INT32, DOUBLE.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">im1</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://uint8">uint8</a><span class="scilabopenclose">(</span><span class="scilabopenclose">[</span><span class="scilabnumber">0</span><span class="scilabdefault">,</span> <span class="scilabnumber">50</span><span class="scilabdefault">,</span> <span class="scilabnumber">100</span><span class="scilabdefault">;</span> <span class="scilabnumber">150</span><span class="scilabdefault">,</span> <span class="scilabnumber">200</span><span class="scilabdefault">,</span> <span class="scilabnumber">250</span><span class="scilabopenclose">]</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">im2</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://uint8">uint8</a><span class="scilabopenclose">(</span><span class="scilabopenclose">[</span><span class="scilabnumber">1</span><span class="scilabdefault">,</span> <span class="scilabnumber">52</span><span class="scilabdefault">,</span> <span class="scilabnumber">103</span><span class="scilabdefault">;</span> <span class="scilabnumber">154</span><span class="scilabdefault">,</span> <span class="scilabnumber">205</span><span class="scilabdefault">,</span> <span class="scilabnumber">255</span><span class="scilabopenclose">]</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imlincomb</span><span class="scilabopenclose">(</span> <span class="scilabnumber">0.43</span><span class="scilabdefault">,</span> <span class="scilabid">im1</span><span class="scilabdefault">,</span> <span class="scilabnumber">0.7</span><span class="scilabdefault">,</span> <span class="scilabid">im2</span><span class="scilabopenclose">)</span>
<span class="scilabid">imlincomb</span><span class="scilabopenclose">(</span> <span class="scilabnumber">0.43</span><span class="scilabdefault">,</span> <span class="scilabid">im1</span><span class="scilabdefault">,</span> <span class="scilabnumber">0.7</span><span class="scilabdefault">,</span> <span class="scilabid">im2</span><span class="scilabdefault">,</span> <span class="scilabnumber">4</span><span class="scilabopenclose">)</span>
<span class="scilabid">imlincomb</span><span class="scilabopenclose">(</span> <span class="scilabnumber">0.43</span><span class="scilabdefault">,</span> <span class="scilabid">im1</span><span class="scilabdefault">,</span> <span class="scilabnumber">0.7</span><span class="scilabdefault">,</span> <span class="scilabid">im2</span><span class="scilabdefault">,</span> <span class="scilabnumber">4</span><span class="scilabdefault">,</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">int16</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">imlincomb</span><span class="scilabopenclose">(</span> <span class="scilabnumber">0.43</span><span class="scilabdefault">,</span> <span class="scilabid">im1</span><span class="scilabdefault">,</span> <span class="scilabnumber">0.7</span><span class="scilabdefault">,</span> <span class="scilabid">im2</span><span class="scilabdefault">,</span> <span class="scilabnumber">4</span><span class="scilabdefault">,</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">constant</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imabsdiff.html" class="link">imabsdiff</a></li>
   <li class="member"><a href="imadd.html" class="link">imadd</a></li>
   <li class="member"><a href="imsubtract.html" class="link">imsubtract</a></li>
   <li class="member"><a href="immultiply.html" class="link">immultiply</a></li>
   <li class="member"><a href="imdivide.html" class="link">imdivide</a></li>
   <li class="member"><a href="imcomplement.html" class="link">imcomplement</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imdivide.html">&lt;&lt; imdivide</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_471e076252aa90400cc5fd4ddf072a54.html">Image Arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="immultiply.html">immultiply &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
